Subject: bug#21505: 24.4; Buffer order

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Feb 2022 13:57:03 +0100

Stefan Monnier <[email-masked]> writes:

> The precise behavior is a bit more complex since those commands, rather
> than just showing the first file may/will also show the buffer-list,
> but if exactly one of the files is shown it should be the first in the
> list and next-buffer should go in the order in which the file names
> were given (until reaching the end of this list at which point it'll
> hit things like *Messages* and friends and that's fine).

This behaviour is still present in Emacs 29.

But I'm wondering -- why is Emacs popping up a *Buffer List* window when
you ask it to open two files?  I'd have thought the obvious thing to do
in this situation is to open as many windows as there are files (if
possible)?  Or open a single window displaying the first file specified
(and then have the rest be in the next-buffer order you describe).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no